"""adds fields related to FX rate persistence

Revision ID: 120317e54a95
Revises: aba7935f9226
Create Date: 2024-09-18 10:21:35.039616
"""

import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '120317e54a95'
down_revision = 'aba7935f9226'
branch_labels = None
depends_on = None


def upgrade():
    op.add_column('events', sa.Column('use_fx_rate', sa.BOOLEAN(), server_default=sa.text('false'), autoincrement=False,
                                      nullable=False), schema='events')
    op.add_column('registrations',
                  sa.Column('exchange_fx_rate', sa.NUMERIC(precision=6, scale=3), server_default=sa.text('0'),
                            autoincrement=False, nullable=False), schema='event_registration')


def downgrade():
    op.drop_column('registrations', 'exchange_fx_rate', schema='event_registration')
    op.drop_column('events', 'use_fx_rate', schema='events')
